%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))")}
# for compiled modules
%global lualibdir %{_libdir}/lua/%{luaver}
# for arch-independent modules
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:		lua-lgi
Version:	0.6.2
Release:	1%{?dist}
Summary:	Dynamic Lua binding to GObject libraries using GObject-Introspection

License:	MIT
URL:		https://github.com/pavouk/lgi
Source0:	https://github.com/pavouk/lgi/archive/0.6.2.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  lua-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.8

# for tests
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  xorg-x11-xinit
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  font(:lang=en)

# for generating html from markdown docs
BuildRequires:  pandoc


%description
LGI is gobject-introspection based dynamic Lua binding to GObject based
libraries. It allows using GObject-based libraries directly from Lua.

%package samples
Summary:    Examples of lua-lgi usage
Requires:   %{name} = %{version}-%{release}

%description samples
%{summary}.

%prep
%setup -q -n lgi-%{version}

%build
make %{?_smp_mflags} \
     PREFIX=%{_prefix} \
     LUA_LIBDIR=%{lualibdir} \
     LUA_SHAREDIR=%{luapkgdir}

# generate html documentation
cd docs/
for d in *.md;do
    pandoc "${d}" > "${d/.md/.html}"
done

%install
make install DESTDIR=%{buildroot} \
             PREFIX=%{_prefix} \
             LUA_LIBDIR=%{lualibdir} \
             LUA_SHAREDIR=%{luapkgdir}

%check
xinit /bin/sh -c 'rm -f ok; make check && touch ok' -- /usr/bin/Xvfb :666
test -e ok

%files
%doc LICENSE
%doc docs/*.html
%dir %{lualibdir}/lgi/
%{lualibdir}/lgi/corelgilua51.so
%{luapkgdir}/lgi/
%{luapkgdir}/lgi.lua

%files samples
%doc samples/*

%changelog
* Wed Jan  2 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6.2-1
- Initial packaging
